%bcond_with bootstrap
%global packname  org.Rn.eg.db
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          2.6.4
Release:          2
Summary:          Genome wide annotation for Rat
Group:            Sciences/Mathematics
License:          Artistic-2.0
URL:              http://bioconductor.org/packages/release/data/annotation/html/%{packname}.html
Source0:          http://bioconductor.org/packages/release/data/annotation/src/contrib/%{packname}_%{version}.tar.gz
BuildArch:        noarch
Requires:         R-core R-methods R-AnnotationDbi R-annotate
%if %{without bootstrap}
Requires:         R-hgu95av2.db
%endif
BuildRequires:    R-devel Rmath-devel texlive-collection-latex R-methods
BuildRequires:    R-AnnotationDbi R-annotate
%if %{without bootstrap}
BuildRequires:    R-hgu95av2.db
%endif

%description
Genome wide annotation for Rat, primarily based on mapping using Entrez
Gene identifiers.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%if %{without bootstrap}
%check
%{_bindir}/R CMD check %{packname}
%endif

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/extdata
%{rlibdir}/%{packname}/help


%changelog
* Wed Feb 22 2012 Paulo Andrade <pcpa@mandriva.com.br> 2.6.4-2
+ Revision: 778872
- Rebuild with proper dependencies
- Prepare to rebuild after breaking dependency cycle.

* Fri Feb 17 2012 Paulo Andrade <pcpa@mandriva.com.br> 2.6.4-1
+ Revision: 775732
- Import R-org.Rn.eg.db
- Import R-org.Rn.eg.db

